namespace BeerEventsManagement.Controllers
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web.Http;
    using WebApiTest.Controllers;

    public class RequestsController : ApiController
    {
        // GET: api/Requests
        public List<Request> Get()
        {
            return new List<Request>() { new Request() { EventName="Foo1", RequestId=1 }, new Request() { EventName="Foo2", RequestId=2 } };
        }

        // POST: api/Requests
        public List<Request> Post(List<Request> requests)
        {
            return null;
        }

        [HttpPost]
        public int Update(Request request)
        {
            int i = 0;
            return i;
        }

        // PUT: api/Requests/5
        public bool Put(int id)//, [FromBody] Request request)
        {
            return true;
        }

        // DELETE: api/Requests/5
        public void Delete(int id)
        {
        }
    }
}
